ConvertTreeReaderFactory.DecimalFromTimestampTreeReader (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Class ConvertTreeReaderFactory.DecimalFromTimestampTreeReader

- java.lang.Object
- - org.apache.orc.impl.TreeReaderFactory.TreeReader
  - - org.apache.orc.impl.ConvertTreeReaderFactory.ConvertTreeReader
    - - org.apache.orc.impl.ConvertTreeReaderFactory.DecimalFromTimestampTreeReader

- Enclosing class:
    ConvertTreeReaderFactory

      public static class ConvertTreeReaderFactory.DecimalFromTimestampTreeReader
      extends ConvertTreeReaderFactory.ConvertTreeReader

- - ### Field Summary

    - ### Fields inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `columnId, context, present, vectorColumnCount`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `nextVector(ColumnVector previousVector, boolean[] isNull, int batchSize)` Populates the isNull vector array in the previousVector object based on the present stream values.
    `void` | `setConvertVectorElement(int elementNum)` Override this to use convertVector.

    - ### Methods inherited from class org.apache.orc.impl.ConvertTreeReaderFactory.ConvertTreeReader

      `assignStringGroupVectorEntry, assignStringGroupVectorEntry, convertStringGroupVectorElement, convertVector, doubleCanFitInLong, downCastAnyInteger, downCastAnyInteger, getIsParseError, integerDownCastNeeded, parseDecimalFromString, parseDoubleFromString, parseFloatFromString, parseLongFromString, seek, seek`

    - ### Methods inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `countNonNulls, createIntegerReader, getColumnId, getPresent, nextBatch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setConvertVectorElement

          public void setConvertVectorElement(int elementNum)
                                       throws IOException

      Description copied from class: `ConvertTreeReaderFactory.ConvertTreeReader`
      Override this to use convertVector. Source and result are member variables in the subclass with the right type.
      Overrides:
        `setConvertVectorElement` in class `ConvertTreeReaderFactory.ConvertTreeReader`
      Throws:
        `IOException`

    - #### nextVector

          public void nextVector(ColumnVector previousVector,
                                 boolean[] isNull,
                                 int batchSize)
                          throws IOException

      Description copied from class: `TreeReaderFactory.TreeReader`
      Populates the isNull vector array in the previousVector object based on the present stream values. This function is called from all the child readers, and they all set the values based on isNull field value.
      Overrides:
        `nextVector` in class `TreeReaderFactory.TreeReader`
      Parameters:
        `previousVector` - The columnVector object whose isNull value is populated
        `isNull` - Whether the each value was null at a higher level. If isNull is null, all values are non-null.
        `batchSize` - Size of the column vector
      Throws:
        `IOException`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.